<?php
defined('TYPO3_MODE') or die();

$GLOBALS['TCA']['tt_content']['types']['ot_texticon']['showitem'] = 'CType;;4;button;1-1-1, header;;3;;2-2-2, header_link, assets, bodytext,--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access,hidden;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:field.default.hidden,--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.access;access,--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.extended,--div--;LLL:EXT:lang/locallang_tca.xlf:sys_category.tabs.category,categories, --div--;Bootstrap, bootstrap_col_xs, bootstrap_col_sm, bootstrap_col_md, bootstrap_col_lg, bootstrap_css, bootstrap_css_inner, --div--;Animation, animation_type, animation_delay, animation_speed, animation_offset';

$GLOBALS['TCA']['tt_content']['types']['ot_texticon']['columnsOverrides'] = array(
    'assets' => [
        'config' => [
            'maxitems' => 1,
            'filter' => [
                '0' => [
                    'parameters' => [
                        'allowedFileExtensions' => 'gif,jpg,jpeg,png,svg'
                    ]
                ]
            ],
            'foreign_selector_fieldTcaOverride' => [
                'config' => [
                    'appearance' => [
                        'elementBrowserAllowed' => 'gif,jpg,jpeg,png,svg'
                    ]
                ]
            ]

        ]
    ]
);

/* @see http://fortawesome.github.io/Font-Awesome/cheatsheet/ */

$tempColumns = [
    'button_text' => [
        'exclude' => 1,
        'label' => 'Button text:',
        'config' => [
            'type' => 'input',
            'size' => 30,
            'max' => 255
        ]
    ],
    'icon' => [
        'exclude' => 1,
        'label' => 'Icon:',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [
                ['', ''],
                ['Trophy', 'trophy', 'EXT:ot_texticon/Resources/Public/Icons/FontAwesome-Trophy.svg'],
                ['Home', 'home', 'EXT:ot_texticon/Resources/Public/Icons/FontAwesome-Home.svg'],
                ['User', 'user', 'EXT:ot_texticon/Resources/Public/Icons/FontAwesome-User.svg'],
                ['Users', 'users', 'EXT:ot_texticon/Resources/Public/Icons/FontAwesome-Users.svg'],
                ['Lock', 'lock', 'EXT:ot_texticon/Resources/Public/Icons/FontAwesome-Lock.svg'],
                ['Tag', 'tag', 'EXT:ot_texticon/Resources/Public/Icons/FontAwesome-Tag.svg'],
                ['Calendar', 'calendar', 'EXT:ot_texticon/Resources/Public/Icons/FontAwesome-Calendar.svg'],
                ['Map Marker', 'map-marker', 'EXT:ot_texticon/Resources/Public/Icons/FontAwesome-MapMarker.svg'],
                [
                    'Fort Awesome',
                    'fort-awesome',
                    'EXT:ot_texticon/Resources/Public/Icons/FontAwesome-FortAwesome.svg'
                ],
            ],
            'selicon_cols' => 8,
            'showIconTable' => 1,
            'iconsInOptionTags' => 1,
        ]
    ],
];
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content', $tempColumns, true);

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
    'tt_content',
    'icon;Icon:, button_text;Button text:',
    'ot_texticon',
    'after:header'
);
